uniform mat4 mvp;

in vec2 TexCoord;
in vec4 Position;

uniform vec4 color;

uniform float val;
uniform float centre;
uniform float vertical;

out vec4 colorV;
//out float valV;
out float tcx;

out float minAmt;
out float maxAmt;

void main(void) {
	tcx	   = TexCoord.x * (1.0 - vertical) + TexCoord.y * vertical;
	colorV = color;

	minAmt = min(val, centre);
	maxAmt = max(val, centre);

	gl_Position = mvp * Position;
}